#!/bin/sh

#source /sw/bin/init.sh


#if test ! -d asio-1.2.0
#then
#	if test ! -e asio-1.2.0.tar.bz2
#	then
#		curl -C - -O http://internap.dl.sourceforge.net/sourceforge/asio/asio-1.2.0.tar.bz2
#	fi
#
#	tar -xf asio-1.2.0.tar.bz2
#fi

#cd asio-1.2.0
#./configure
#sudo make install
#cd ..

#if test ! -d boost_1_36_0
#then
#	if test ! -e boost_1_36_0.tar.bz2
#	then
#		curl -C - -O http://internap.dl.sourceforge.net/sourceforge/boost/boost_1_36_0.tar.bz2
#	fi
#
#	tar -xf boost_1_36_0.tar.bz2
#fi

VERSION=1_43_0

cd boost_${VERSION}

# iPhone OS
echo "#\n#\n#\n#  iPhone OS\n#\n#\n#"
bjam -j3 -q --debug-configuration --user-config=../user-config-iphone.jam --prefix="../installed" --include="../installed/include" --exec-prefix="../installed/iphone" --lib-dir="../installed/iphone/lib" --stage="../build/stage/iphone" --build-dir="../build/${VERSION}" --buildid="iphone" --layout=versioned toolset=darwin architecture=arm target-os=iphone macosx-version=iphone-3.1.2 --without-mpi --without-python define=_LITTLE_ENDIAN threading=multi link=static install

# iPhone Simulator
echo "#\n#\n#\n#  iPhone Simulator\n#\n#\n#"
bjam -j3 -q --debug-configuration --user-config=../user-config-iphonesim.jam --prefix="../installed" --include="../installed/include" --exec-prefix="../installed/iphone_sim" --lib-dir="../installed/iphone_sim/lib" --stage="../build/stage/iphone_sim" --build-dir="../build/${VERSION}" --buildid="iphonesim" --layout=versioned toolset=darwin architecture=x86 target-os=iphone macosx-version=iphonesim-3.1.2 --without-mpi --without-python threading=multi link=static install

# Mac OS X 10.6
export EXPAT_INCLUDE="/usr/include"
export EXPAT_LIBPATH="/usr/lib"
echo "#\n#\n#\n#  Mac OS X 10.6\n#\n#\n#"
bjam -j3 -q --debug-configuration --user-config=../user-config-darwin.jam --prefix="../installed" --include="../installed/include" --exec-prefix="../installed/mac" --lib-dir="../installed/mac/lib" --stage="../build/stage/mac" --build-dir="../build/${VERSION}" --buildid="macosx"  --layout=versioned --build-type=complete --with-thread --with-date_time --with-filesystem --with-regex --with-system toolset=darwin architecture=combined address-model=32_64 target-os=darwin macosx-version=10.5 link=static,shared threading=multi install


cd ..

defaults write ~/.MacOSX/environment BOOST "`pwd`/installed"
defaults write com.apple.Xcode PBXApplicationwideBuildSettings -dict-add BOOST "`pwd`/installed"
defaults write com.apple.Xcode PBXSourceTreeDisplayNames -dict-add BOOST ""